# 🤖 Autonomous driving lawn mower 🤖

### 🔥 Features
- For example he can drive around objects such as flower pots or a garden fence
- Detects when the wheels lock, e.g. when it hits an umbrella stand

### 🔮 What it should be able to do in the future
- Detect when it is no longer mowing the lawn with colour sensors
- Cutting the edges with a robot arm? 🦾✂️ (Remote controlled or something)

# 💡 Idea

The idea was simple. No more having to mow the lawn yourself and build a robot that does it for you.

# 📜 The beginning of the construction

It all started with a wooden board, an old hoverboard and an ESP32 for the control system. A new firmware ([Hooverboard Firmware Hack FOC](https://github.com/EFeru/hoverboard-firmware-hack-FOC)) was installed on the hoverboard with the help of the library, which enabled me to control the hoverboard via the USART interface.

At that time, the robot could only be controlled via a controller 🎮 connected to a PC. The connection was managed with the help of a websocket between the ESP32 and the web client.

![](20220522_190051.jpg)

# 🕐 New fairing and hardware

A few weeks later and the result has changed significantly. Instead of the installed ESP32, there is now a Raspberry PI as controller in the robot. Instead of the bare board, it now has an old housing from the Gardena brand. Four distance sensors were installed in the housing, three at the front and one at the back.

![](20220727_193247.jpg)

![](20220727_192951.jpg)

# 📷 Lawn mower in action

https://www.instagram.com/p/CfZgyWxvUXO/


---

# ⌨️ Behind the scenes

![](communication.jpg)